### Method

# Camel Trie add

since: 2.24

#### Declaration [src]

    void
    camel_trie_add (
      CamelTrie* trie,
      const gchar* pattern,
      gint pattern_id
    )

#### Description [src]

Add a new pattern to the `CamelTrie` `trie`.

Available since: 2.24

This method is not directly available to language bindings.

#### Parameters

`pattern`

  Type: `const gchar*`

  The pattern to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`pattern_id`

  Type: `gint`

  The id to use for the pattern.